Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.xmpp
Interface XMPPService

    public interface XMPPService

Interface for accessing XMPP status information, sending XMPP messages, and parsing XMPP responses.

Method Summary
`Presence` | `getPresence(JID jabberId)` Given a JID, look up the user's status and return it.
`Presence` | `getPresence(JID jabberId, JID fromJid)` Given a JID, look up the user's status and return it.
`Message` | `parseMessage(HttpServletRequest request)` Parse the incoming message provided in `request`.
`void` | `sendInvitation(JID jabberId)` Given a JID, sends a chat invitation.
`void` | `sendInvitation(JID jabberId, JID fromJid)` Given a JID, sends a chat invitation.
`SendResponse` | `sendMessage(Message message)` Send provided message to specified JIDs.

Method Detail

### getPresence

    Presence getPresence(JID jabberId)

  Given a JID, look up the user's status and return it.

  Parameters:
    `jabberId` - JID of the user whose presence should be fetched.
  Throws:
    `java.lang.IllegalArgumentException` - if the id is not valid

### getPresence

    Presence getPresence(JID jabberId,
                         JID fromJid)

  Given a JID, look up the user's status and return it. Uses a custom JID as the sender.

  Parameters:
    `jabberId` - JID of the user whose presence should be fetched.
    `fromJid` - JID of the chat bot. Can be null.
  Throws:
    `java.lang.IllegalArgumentException` - if the id is not valid

### sendInvitation

    void sendInvitation(JID jabberId)

  Given a JID, sends a chat invitation.

  Parameters:
    `jabberId` - JID of the user to invite.
  Throws:
    `java.lang.IllegalArgumentException` - if the id is not valid

### sendInvitation

    void sendInvitation(JID jabberId,
                        JID fromJid)

  Given a JID, sends a chat invitation. Uses a custom JID as the sender.

  Parameters:
    `fromJid` - JID of the chat bot. Can be null.
  Throws:
    `java.lang.IllegalArgumentException` - if the id is not valid

### sendMessage

    SendResponse sendMessage(Message message)

  Send provided message to specified JIDs.

  Parameters:
    `message` - Message to send.
  Throws:
    `java.lang.IllegalArgumentException` - if the message or ids are not valid

### parseMessage

    Message parseMessage(HttpServletRequest request)
                         throws java.io.IOException

  Parse the incoming message provided in `request`. This method should only be called from within an XMPP webhook.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD